/* $Workfile: $   $Revision: $    $Modtime: $  */
/*--------------------------------------------------------------------------*\

  Odin TeleSystems Inc.

  SAA-1007-1 OTX DSP C54x Software Development Kit (SDK)

  Linker Command file for the OTX DSP C54x SDK DspDemo2Cst application.
																		  
  Targeted for the C54CST DSP.

\*--------------------------------------------------------------------------*/

/*********************************\
    .obj files to be linked
\*********************************/
"54CST\DspDemo2.obj"
"54CST\Dsp54Api.obj"
"54CST\Dsp54LawsCst.obj"
"54CST\CSTRom_CCS220.obj"


/*********************************\
    Linker options
\*********************************/
-c                         /* C runtime environment init (ROM model) */
-o "54CST\DspDemo2Cst.out" /* output file */
-m "54CST\DspDemo2Cst.map" /* map file    */
-l CSTrts_ext.lib          /* Far mode library for C compiler (CST version) */
-l CSTPatchx.lib 		   /* Far mode CST Patch library */
-l csl54cstx.LIB           /* Far mode CST library */
-f 0

/*  Default CST heap size is 0x2E80 */
-heap 0x1E80
/*  Default CST stack size is 0x500 */
-stack 0x500

MEMORY
{
           
   PAGE 0: 
           USERCODE: origin = 00D00h, length = 5300h   /* User's code & consts: 0C80h - 5F7Fh */
           EXTCODE:  origin = 10000h, length = 8000h   /* External Program memory */
           VECT:     origin = 00C80h, length = 0080h   /* Interrupt vectors */
		   /* Note: Program data ends at 05FFFh */

   PAGE 1: USERSCR:  origin = 0006Ch, length = 0010h  /* User's scratch */
           USERDATA: origin = 06000h, length = 3000h  /* User's data in on-chip memory */
           EXTDATA:  origin = 0A000h, length = 6000h  /* External memory */
           AUTOBUFF: origin = 09000h, length = 0800h  /* Autobuffer (receive and transmit) */
           HPI     : origin = 09800h, length = 0800h  /* Host communication buffers */
}

/*****************************************************************************/
/* DSP Memory Allocation                                                     */
/*****************************************************************************/

SECTIONS
{
/* Initialized sections */

  .cinit    > USERCODE PAGE 0
  .switch   > USERCODE PAGE 0
  .text     > USERCODE PAGE 0

  .const    > USERCODE PAGE 0

  extpmem    > EXTCODE PAGE 0

/* Uninitialized sections */

  .data     > USERDATA PAGE 1
  .bss      > USERDATA PAGE 1
  .cio      > USERDATA PAGE 1

  .stack    > USERDATA PAGE 1
  .sysmem   > USERDATA PAGE 1

  extdmem    > EXTDATA PAGE 1

}


