#############################################################
#
#  Odin TeleSystems Inc.
#
#  Makefile for building DspDemo2Cst.out for the C54CST DSP
#
#  Notes:
#
#  If the DSP C54x Code Generation Tools are installed in
#
#    d:\ti
#
#  You need to have the following environment variables set
#
#    SET PATH=d:\ti\c5400\cgtools\bin;%PATH%;
#
#    SET CST_DIR=d:\ti\c5400\CST\Src 
#    SET C54X_A_DIR=d:\ti\c5400\cgtools\include;d:\ti\c5400\cgtools\lib;d:\ti\c5400\bios\include;d:\ti\c5400\bios\lib;d:\ti\c5400\rtdx\lib;d:\ti\c5400\dsk5416\lib;d:\ti\c5400\dsk5416\include;d:\ti\c5400\xdais\include;
#    SET C54X_C_DIR=d:\ti\c5400\cgtools\include;d:\ti\c5400\cgtools\lib;d:\ti\c5400\bios\include;d:\ti\c5400\bios\lib;d:\ti\c5400\rtdx\include;d:\ti\c5400\rtdx\lib;d:\ti\c5400\xdais\include;
#
##############################################################

!ifdef DBGSYMBOLS
SYMBOLS=-g
!endif

INC_DIR=..\..\..\..\Api
LIB_DIR=..\Lib
OUT_DIR=54CST

#CC=cl500 $(SYMBOLS) -k -q -ss -o2 -mf -ms -v548 -dCHIP_54CST=1 -I$(CST_DIR) -i"$(CST_DIR)\Algrf" -i"$(CST_DIR)\Framework\XDAS" -I..\..\..\.. -I$(INC_DIR) -DOTXDSP_BSP_TXBUF_SIZE=800 -DOTXDSP_BSP_RXBUF_SIZE=800 -dOTXDSP_BSP_TXBUF_ADDR=0x9000 -dOTXDSP_BSP_RXBUF_ADDR=0x9400
CC=cl500 $(SYMBOLS) -q -o2 -mf -ms -v548 -dCHIP_54CST=1 -I$(CST_DIR) -i"$(CST_DIR)\Algrf" -i"$(CST_DIR)\Framework\XDAS" -I..\..\..\.. -I$(INC_DIR) -DOTXDSP_BSP_TXBUF_SIZE=800 -DOTXDSP_BSP_RXBUF_SIZE=800 -dOTXDSP_BSP_TXBUF_ADDR=0x9000 -dOTXDSP_BSP_RXBUF_ADDR=0x9400

ASM=asm500 -s -mf -v548	-dFARMODE=1
LD=lnk500 -v2


OBJECTS=\
  $(OUT_DIR)\Dsp54LawsCst.obj\
  $(OUT_DIR)\Dsp54Api.obj\
  $(OUT_DIR)\CSTRom_CCS220.obj\
  $(OUT_DIR)\DspDemo2.obj

HEADERFILES=\
  Demo2Io.h\
  $(INC_DIR)\DspIoctl.h\
  $(INC_DIR)\Dsp54Ioctl.h\
  $(INC_DIR)\Dsp54Api.h\
  $(INC_DIR)\Dsp54Def.h

$(OUT_DIR)\DspDemo2Cst.out: $(OBJECTS) DspDemo2Cst.cmd DspDemo2Cst.mak
  $(LD) DspDemo2Cst.cmd
  @xcopy /F /Y Demo2Io.h    "..\..\..\..\Exe\DspSdk\DspDemo2\"
  @xcopy /F /Y $(OUT_DIR)\DspDemo2Cst.out "..\..\..\..\Exe\DspSdk\DspDemo2\W32\"
  @xcopy /F /Y $(OUT_DIR)\DspDemo2Cst.out "..\..\..\..\Exe\DspSdk\DspDemo2\W32\Debug\"
  @xcopy /F /Y $(OUT_DIR)\DspDemo2Cst.out "..\..\..\..\Exe\DspSdk\DspDemo2\W32\Release\"
  @xcopy /F /Y $(OUT_DIR)\DspDemo2Cst.out "..\..\..\..\Exe\DspSdk\DspDemo2\Linux\i386\Release\"

$(OUT_DIR)\CSTRom_CCS220.obj: $(CST_DIR)\ROM\CSTRom_CCS220.s54
  $(ASM) $(CST_DIR)\ROM\CSTRom_CCS220.s54 $(OUT_DIR)\CSTRom_CCS220

$(OUT_DIR)\Dsp54LawsCst.obj: $(LIB_DIR)\Dsp54LawsCst.c $(HEADERFILES)
  $(CC) -fr$(OUT_DIR) $(LIB_DIR)\Dsp54LawsCst.c

$(OUT_DIR)\Dsp54Api.obj: $(LIB_DIR)\Dsp54Api.c $(HEADERFILES)
  $(CC) -fr$(OUT_DIR) $(LIB_DIR)\Dsp54Api.c

$(OUT_DIR)\DspDemo2.obj: DspDemo2.c $(HEADERFILES)
  $(CC) -fr$(OUT_DIR) DspDemo2.c


